(HO) NSC_Builder 1.01B. Multiherramienta conversor nsp\xci, verificación e información de archivos..

No es un multi, es el "Pumpkin Jack".
Por eso me ha llamado la atención.

Esta es la info que da:
1.2.0: EE24CC35BE30E682. v0.
1.2.8: 0F73F1D52820F90B. v65536.
1.3.2: 0F73F1D52820F90B. v131072.
1.3.8: 0F73F1D52820F90B. v196608.


Podrías implementar el "arrastrar y soltar" un juego en la gui ?
Buenas noches, @JulesRussel, por mera información, ¿se está trabajando para una actualización para las keys de 11.0.0? :-?

EDIT: Vale, acabo de probar el lockpick_RCM nuevo que ha salido a esta hora y no me da las nuevas keys [+risas] No sé por qué. (MMC unit done, Unable to backup payload.bin con sxos y con hekate me da el fallo de pkg1)
@Natillax No hay claves nuevas, queman un fusible como en 10.0 pero no hay claves nuevas. No las cambian desde 9.1.0.
Acabo de encontrar otro juego que los updates dan el mismo BuildID, el "The Fox Awaits Me".
Veo que en la tab NPDM pone "Error decrypting npdm".
He probado el Pumpkin y también pone el mismo error.
Estará ahí el problema?
Cada vez que intento hacer repack de un nsp a xci, no import tanto si uso a opci'on repack a xci como la de ambas, que solo me genera otro nsp de nuevo.

Y tarda nada en hacerlo. Posible bug?
Buenas tardes!!
Tengo un problema con los ultimos backups, al intentar unirlos para crear un XCI la parte de la copia BASE se la salta y no me lo crea. He comprobado las Keys y en principio están bien. ¿Alguna solución?
Gracias!!
Buenos días y feliz año a todos!!!!

Entiendo que si un juego te pide RequiredSystemVersion superior a la versión instalada en la consola, no se puede "parchear" para poder jugar en tu versión no???

Tengo un juego que me pide la versión 11.0.1 y lo he parcheado pero me sigue pidiendo actualizar la consola y no quiero al no funcionar sxos.

Alguna solución o algo que se pueda hacer que se me esté escapando?
Gracias.

EDITO. Solucionado con la version 0.98 de nsc_builder. Lo he parcheado, y a la primera.
Con la ultima version no me lo hace.
Buenas @JulesRussel porque cuando hago un nsp individual no lo hace ticketless y cuando hago un nsp multi-pack si me sale la opción ticketless? O ya no hace falta volverlos ticketless?
Gracias!
RolleR escribió:Buenas @JulesRussel porque cuando hago un nsp individual no lo hace ticketless y cuando hago un nsp multi-pack si me sale la opción ticketless?
Gracias!

Input "1" to repack list as nsp
Por defecto lo que hace es hacerlo ticketless porque los motivos generales para procesarlo son hacerlo ticketless o parchearlo y ambas opciones necesitan eliminar el ticket. La opción rebuild que solo cambia el orden de los archivos si conserva el ticket.
En cuanto a la opción multi lo especifica porque hay una opción que crea un nsp con varios tickets y otra que crea un multi eliminando los tickets.
JulesRussel escribió:
RolleR escribió:Buenas @JulesRussel porque cuando hago un nsp individual no lo hace ticketless y cuando hago un nsp multi-pack si me sale la opción ticketless?
Gracias!

Input "1" to repack list as nsp
Por defecto lo que hace es hacerlo ticketless porque los motivos generales para procesarlo son hacerlo ticketless o parchearlo y ambas opciones necesitan eliminar el ticket. La opción rebuild que solo cambia el orden de los archivos si conserva el ticket.
En cuanto a la opción multi lo especifica porque hay una opción que crea un nsp con varios tickets y otra que crea un multi eliminando los tickets.


Pues si lo hago así no pone en el nombre del archivo [rr]. Pero veo que no me graba ticket, pero puede ser que al quitar el ticket me pida conexión el juego? con el ticket sin quitar el uego arranca correctamente. Con el ticket quitado me pide conectarme a internet. Es el juego Journey Down trilogy.
Esto es normal?
@RolleR Ni idea, creo que no toco la Switch desde principios de noviembre o finales de octubre entre estar liado con el curro y que he estado jugando a Cyberpunk. Eso no solía ser normal pero desde que hice la emunand dejé de eliminar los tickets, además de que tampoco actualicé aún a 11.0.
Lo del [rr] juraría que lo había quitado hace tiempo. O al menos hacia eso tendía en los últimos tiempos.
JulesRussel escribió:@RolleR Ni idea, creo que no toco la Switch desde principios de noviembre o finales de octubre entre estar liado con el curro y que he estado jugando a Cyberpunk. Eso no solía ser normal pero desde que hice la emunand dejé de eliminar los tickets, además de que tampoco actualicé aún a 11.0.
Lo del [rr] juraría que lo había quitado hace tiempo. O al menos hacia eso tendía en los últimos tiempos.


Si le das a repack list as nsp en el modo individual no pone el [rr] pero si quita el ticket, eso si, el juego pide conexión.
Si le das ha hacer multi pack en nsp, si pone [rr] y quita el ticket , el juego sigue pidiendo conexión.
Si no quito el ticket no pide conexión.
Bien hecho, difruta el cyber [Ooooo]
Hola @JulesRussel tengo un problema con este pedazo de Sw que has creado.
Desde la nueva actualización de la consola no puedo unir en un mismo XCI los backups base con los DLCs o updates. Se salta el nsp base directamente y pasa 3kg de el jejeje. El primero con el que me ha pasado es con el Fenix, y de ahí en adelante con todos. No se si será algún problema mio (las keys supuestamente no se han actualizado ni nada), u otra cosa.

Muchas gracias!!
@ashitaka20 Hasta mediados de febrero no creo que retome el programa, de todos modos no se me ocurre ningún motivo de porqué te puede pasar eso si tienes las masterkeys en orden.
Cambiar no cambian desde 9.1.0.
@JulesRussel hola amigo como debes de saber el SXOS no se ha actualizado a la version del firmware 11.0.1 y he leido que la version 11.0.0 da muchos errores por lo cual yo estoy en la version 10.2.0 pero tengo una pc de 32 bits y me gustaria utilizar el nsc_builder y bajar las versiones de los juegos. ¿Es posible utilizar este programa en mi pc? y si se pudiera podrias ayudarme con lo necesario para poder utilizarlo te lo agradeceria muchisimo porque la verdad no entiendo mucho de esto, te lo agradezco de antemano y estoy atento a tu respuesta
En teoría el cualquier archivo .nsp que pases por el programa, elimina el firmware requerido? Es decir lo deja parcheado para SX OS en 11.0.0 aunque pida la 11.0.1?
@AdventuX tienes que decirselo tu que parchee la version necesaria del juego
@JulesRussel hola, nunca he parcheado ningun juego. y mirando en la version escritorio, puedo ver esto en un juego

Required Firmware:

RequiredSystemVersion: 11.0.1
Encryption (keygeneration): 11 -> (9.1.0 - >10.2.0)
Patchable to: 9.2.0

esto significa que solo puedo parchear hasta la version 9.2.0? o desde esa version hasta la actual? yo estoy en la 11.0.0, y necesito parchear dicho juego. para tener eso en cuanta a la hora de parchear y no tenga error al ejecutarlo. gracias por tu trabajo
@yggdrassilbcn Si lo vas a instalar no tienes que parchear nada, si vas a usar un xci si, lo parchear a keygeneration 11 y listo. En cuanto a lo demás el programa está sin actualizar desde hace meses.
@JulesRussel pues no me funciona. lo hago desde multi para hacer xci, y dando opcion a parchear, y nada, me salta error al intentar ejecutar. supongo que igual es por estar en 11.0.0. gracias de todas formas. saludos compi
Hola.
Tengo atmosphere y quiero sacar las keys,he hecho lo del programa Lockpick_RCM,me he metido he sacado las de la sysnand,decir que yo tengo emmuemmc y al sacarlas e inetentar copiar al txt de ejmplo no encuentro la que pone """""xci_header_key =""""""No me aparece por ninun lado ,todo lo demas si.Como puedo sacar ese ??

Gracias !!!!!!!!!!!
Esa clave no vale para nada...

Y aunque valga, ¿por qué no usas directamente el archivo que te genera lockpick?
Lo he hecho siguiendo un tutorial que he visto.
Entonces a lo que te refieres es que ese archivo que me genera lo reonmre a keys.txt ??? Y lo pego en ztools ???

De todos modos no puedo hacer lo que quiero.Quiero pasar un xci a nsp y luego con el goldleaf instalarlo,me aparece como que ocupa (una vez pasado a .nsp) 6.45 gb pero al darle a instalar solo me instala 111 mb.

Y segun he visto en un tutorial de como convertir de xcia nsp lo he hecho tal y como dice.
No sé que puedo hacer mal.

Por que,no hay otro metodo para pasar de xci a nsp ??? son cosas antiguas ,todo lo tengo en xci.

Gracias !!!!!!!!
Awoo installer te instala los xci directamente.
Ya lo he conseguido,ha habido un par de cosas que me decia que no me fiara y no lo he instalado por precaucion.

Es que al tener la tajeta en fat32 no me dejaba haciendolo directamente.

Gracias !!!!!! Ya creo que puedo hacer todo lo necesario.
A ver si alguien me puede echar un cable que llevo desde que me desperte intentando unir un juego base con su update y el resultado siempre es el mismo UNKNOW..., se que es posible que sea un problema de las keys que no esten actualizadas pero las he buscado por google y las he pegado...por favor echadme un cable que ya llevo muchas horas (me estaré haciendo viejo?...)
Jarvy escribió:A ver si alguien me puede echar un cable que llevo desde que me desperte intentando unir un juego base con su update y el resultado siempre es el mismo UNKNOW..., se que es posible que sea un problema de las keys que no esten actualizadas pero las he buscado por google y las he pegado...por favor echadme un cable que ya llevo muchas horas (me estaré haciendo viejo?...)



En lugar de invertir tantas horas, ¿por qué no sacas las keys de tu consola y vas a lo seguro?
Yo llevo todos estos día intentado parchear la versión de Monster Hunter para poder jugar en mi versión 10.2.0 de consola, pero me da error al iniciar el juego, pero segun la update permite parchearla hasta la 9.2, hay algo que este haciendo mal, o que se me escape?

Un saludo y gracias de antemano.
@Neburg Por clave se puede parchear hasta 9.2.0 pero la actualización necesita 11.0.0 porque usa funciones del SDK reciente. El juego base al menos en 10.2.0 funciona.
Cuando hay que parchear la clave es cuestión de prueba y error, normalmente el número de SDK puede ser otro indicativo pero incluso cuando son compilados con sdk altos hay veces que se pueden parchear.
Actualización: Hice eso mismo, y funciono estoy en 11.0.0 y con el update parcheado y con SX, muchas gracias por la ayuda.

JulesRussel escribió:@Neburg Por clave se puede parchear hasta 9.2.0 pero la actualización necesita 11.0.0 porque usa funciones del SDK reciente. El juego base al menos en 10.2.0 funciona.
Cuando hay que parchear la clave es cuestión de prueba y error, normalmente el número de SDK puede ser otro indicativo pero incluso cuando son compilados con sdk altos hay veces que se pueden parchear.

¿Eso quiere decir que si subo a la 11.0.0 compatible con SX podre parchear la update para jugar sin subir a la 11.0.1 no compatible con SX?

Un Saludo, y muchas gracias por la contestación.
@Neburg Sí, si la vas a instalar no te hace falta parchear solo usa dbi, tinfoil o awoo para instalarla. Si la vas a usar como xci sí que la tienes que parchear.
Si ya la tienes instalada con que actualices te funcionará el juego sin crashear.

Edito: No había leído la actualización, me alegro de que te funcione ;)
JulesRussel escribió:@Neburg Sí, si la vas a instalar no te hace falta parchear solo usa dbi, tinfoil o awoo para instalarla. Si la vas a usar como xci sí que la tienes que parchear.
Si ya la tienes instalada con que actualices te funcionará el juego sin crashear.

Edito: No había leído la actualización, me alegro de que te funcione ;)

Si lo uso por USB y XCI por eso el parcheo, pero ya funciona de cine, todo en un mismo XCI.

Un saludo y gracias por la respuesta y la molestia.
@JulesRussel estoy probando la opción de parchear que no pida cuenta vinculada el juego street power football pero me sigue intentando iniciar sesion el juego cuando lo arranco teniendo la consola en modo vuelo. Sabes si hay alguna forma de parchear este juego para que funcione? muchas gracias
@jldc82 Funciona solo con los juegos que no tienen también el requisito en los exefs. Si lo tienen en los exefs hay que extraerlos y buscar el código dentro del archivo main para modificarlo. No se puede automatizar.
Puedes probar a vincular una cuenta con linkhalo o tinfoil.
https://github.com/rdmrocha/linkalho/releases
hilo_ho-linkalho-aplicacion-para-vincular-cuentas-existentes_2393288
@JulesRussel ok muchas gracias por la info, ya probé con los otros dos y tampoco me funcionó
Hola, una pregunta me descargue el ultimo ncs builder y al ejecutar me dice que necesito el Key.TXT para funcionar,tengo switch sx pro en firm 11.0.0,donde encuentro ese key.tx??
Tienes que sacarlo de tu consola...
hola buenas, quiero crear un acceso directo del emulador fba:

1º en la consola con payload launcher lanzo el payload de lockpick_rcm y saco la prod.keys
2ºen el pc con esa prod.keys con nro2nsp meto las rutas a fba.nro y saco el nsp (me coje icono del emulador)
3º instalo el nsp creado con tinwoo (y luego probe con awoo) pero luego al abrirlo en el menu principal me da error: se ha cerrado el programa a causa de un error

¿donde cometo el error? gracias por la ayuda a todos

edit: con nro2nsp me da error tanto primero elijiendo romfs y luego sdmc, como hacerlo del reves
coronel smith escribió:hola buenas, quiero crear un acceso directo del emulador fba:

1º en la consola con payload launcher lanzo el payload de lockpick_rcm y saco la prod.keys
2ºen el pc con esa prod.keys con nro2nsp meto las rutas a fba.nro y saco el nsp (me coje icono del emulador)
3º instalo el nsp creado con tinwoo (y luego probe con awoo) pero luego al abrirlo en el menu principal me da error: se ha cerrado el programa a causa de un error

¿donde cometo el error? gracias por la ayuda a todos

edit: con nro2nsp me da error tanto primero elijiendo romfs y luego sdmc, como hacerlo del reves


Eso no tiene nada que ver con nsc builder.

Tienes un hilo dedicado a los forwarders.
josete2k escribió:
coronel smith escribió:hola buenas, quiero crear un acceso directo del emulador fba:

1º en la consola con payload launcher lanzo el payload de lockpick_rcm y saco la prod.keys
2ºen el pc con esa prod.keys con nro2nsp meto las rutas a fba.nro y saco el nsp (me coje icono del emulador)
3º instalo el nsp creado con tinwoo (y luego probe con awoo) pero luego al abrirlo en el menu principal me da error: se ha cerrado el programa a causa de un error

¿donde cometo el error? gracias por la ayuda a todos

edit: con nro2nsp me da error tanto primero elijiendo romfs y luego sdmc, como hacerlo del reves


Eso no tiene nada que ver con nsc builder.

Tienes un hilo dedicado a los forwarders.

Ok, Perdon [ayay]
Buenas había parcheado juegos con la 1.01B pero al ejecutarlos en SX OS con 10.2 emunand y en xci me pedia actualizar el firmware después vi el comentario del compañero @djkarter que usando la .98 si parchea y es correcto, solo he parcheado el del marsupial 4 (bandicut oriental) el que casi todo mundo quiere en samsh junto con waluigi; jalo bien solo no meterle la actualización, después convertí y aplique parche para el nuevo juego del elfo enano verde en las islas de las nubes, pero me marca error al ejecutarlo, si lo hago con la .98; si lo hago con la 1.01B me pide actualizar firmaware; lo raro es que el ninja zigma 1 lo ejecuto bien junto con su update, lo converti y parchee desde 1.01B; lo que me dice que probablemente el nsp del elfo verde este dañado, probare instalando el nsp directo, pero me pide 11.0.1 si lo instalo en SX OS 10.2 me va apedir actualizar verdad, probare en una emunand de atmosphere a ver que pasa.

Actualización: Instale el NSP que tengo del elfo verde en una switch con atmosphere que acabo de actalizar a 12.1.0 y ams .19, entro al juego normal; entonces el nsp es bueno.
1640 respuestas
129, 30, 31, 32, 33